python-module-pysndfile-1.1.0-alt2.qa1.i586.rpm


Advertisement

Description

python-module-pysndfile - Cython wrapper class for reading/writing soundfiles using libsndfile

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename python-module-pysndfile-1.1.0-alt2.qa1.i586.rpm
Package name python-module-pysndfile
Package version 1.1.0
Package release alt2.qa1
Package architecture i586
Package type rpm
Category Development/Python
Homepage -
License -
Maintainer -
Download size 315.43 KB
Installed size 315.43 KB
pysndfile is a python package providing PySndfile, a Cython wrapper
class around libsndfile. PySndfile provides methods for reading and
writing a large variety of soundfile formats on a variety of plattforms.
PySndfile provides a rather complete access to the different sound file
manipulation options that are available in libsndfile.
Due to the use of libsndfile nearly all sound file formats, (besides mp3
and derived formats) can be read and written with PySndfile.

Alternatives

Package Version Architecture Repository
python-module-pysndfile-1.1.0-alt2.qa1.x86_64.rpm 1.1.0 x86_64 Classic
python-module-pysndfile - - -

Requires

Name Value
/usr/lib/python2.7/site-packages -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libpython2.7.so.1.0 -
libsndfile.so.1 -
libsndfile.so.1(libsndfile.so.1.0) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.21) -
python-base -
python2.7(numpy) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
python-module-pysndfile = 1.1.0-alt2.qa1:sisyphus+223744.100.1.1
python2.7(pysndfile) -
python2.7(pysndfile.Faiff) -
python2.7(pysndfile._pysndfile) -
python2.7(pysndfile.sndio) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python-module-pysndfile-1.1.0-alt2.qa1.i586.rpm
Source Package python-module-pysndfile-1.1.0-alt2.qa1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-pysndfile rpm package:
    # sudo apt-get install python-module-pysndfile

Files

Path
/usr/lib/python2.7/site-packages/pysndfile/Faiff.py
/usr/lib/python2.7/site-packages/pysndfile/Faiff.pyc
/usr/lib/python2.7/site-packages/pysndfile/Faiff.pyo
/usr/lib/python2.7/site-packages/pysndfile/__init__.py
/usr/lib/python2.7/site-packages/pysndfile/__init__.pyc
/usr/lib/python2.7/site-packages/pysndfile/__init__.pyo
/usr/lib/python2.7/site-packages/pysndfile/_pysndfile.so
/usr/lib/python2.7/site-packages/pysndfile/sndio.py
/usr/lib/python2.7/site-packages/pysndfile/sndio.pyc
/usr/lib/python2.7/site-packages/pysndfile/sndio.pyo
/usr/lib/python2.7/site-packages/pysndfile-1.1.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pysndfile-1.1.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pysndfile-1.1.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pysndfile-1.1.0-py2.7.egg-info/top_level.txt
/usr/share/doc/python-module-pysndfile-1.1.0/ChangeLog
/usr/share/doc/python-module-pysndfile-1.1.0/README.md

Changelog

2018-10-14 - Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt2.qa1
- NMU: applied repocop patch
2018-05-30 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.1.0-alt2
- Rebuilt without clang.
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.1.0-alt1.1
- (NMU) Rebuilt with python-3.6.4.
2018-03-06 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.1.0-alt1
- Updated to upstream version 1.1.0.
2018-02-02 - Stanislav Levin <slev@altlinux.org> 1.0.0-alt2.1
- (NMU) Fix Requires and BuildRequires to python-setuptools
2018-01-09 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.0.0-alt2
- Fixed build.
2017-12-26 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.0.0-alt1
- Updated to upstream version 1.0.0.
2017-01-11 - Igor Vlasenko <viy@altlinux.ru> 0.2.11-alt1
- automated PyPI update
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 0.2.10-alt1.1.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2016-01-28 - Mikhail Efremov <sem@altlinux.org> 0.2.10-alt1.1
- NMU: Use buildreq for BR.

See Also

Package Description
python-module-pysol-sound-3.01-alt3.1.i586.rpm Sound server for pysol
python-module-pysparse-1.3-alt1.git20130305.i586.rpm Fast sparse matrix library for Python
python-module-pysparse-pickles-1.3-alt1.git20130305.i586.rpm Documentation and examples for Pysparse
python-module-pysparse-tests-1.3-alt1.git20130305.i586.rpm Tests for Pysparse
python-module-pyspatialite-3.0.1-alt1.1.i586.rpm Python interface to Spatialite
python-module-pyspatialite-tests-3.0.1-alt1.1.i586.rpm Tests for pyspatialite
python-module-pysqlcipher3-1.0.2-alt1.git20150226.1.1.1.1.i586.rpm DB-API 2.0 interface for SQLCIPHER 3.x
python-module-pysqlcipher3-tests-1.0.2-alt1.git20150226.1.1.1.1.i586.rpm Tests for pysqlcipher3
python-module-pysqlite-1.0-alt3.1.i586.rpm Python interface to SQLite
python-module-pysqlite2-2.8.3-alt1.i586.rpm Python interface to SQLite 3.0
python-module-pysqlite2-docs-2.8.3-alt1.i586.rpm Documentation for pysqlite2
python-module-pysqlite2-pickles-2.8.3-alt1.i586.rpm Pickles for pysqlite2
python-module-pysqlite2-tests-2.8.3-alt1.i586.rpm Tests for pysqlite2
python-module-pysubnettree-0.23-alt1.1.1.1.i586.rpm Provides maps subnets given in CIDR notation to Python objects
python-module-pysvn-1.9.10-alt1.i586.rpm Subversion support for python
Advertisement
Advertisement